%define api 0.9
%define major %{version}
%define libname %mklibname quvi %api %major
%define develname %mklibname -d quvi

Name:           libquvi
Version:        0.9.4
Release:        %mkrel 2
Summary:        Library for parsing flash media stream URLs with C API
Group:          Networking/Other
License:        LGPLv2+
URL:            http://quvi.sourceforge.net/
Source0:        http://downloads.sourceforge.net/quvi/%{name}-%{version}.tar.xz
Patch0:		    lua-5.2-support.diff
BuildRequires: pkgconfig(glib-2.0) >= 2.24
BuildRequires: pkgconfig(libcurl) >= 7.21
BuildRequires: pkgconfig(libproxy-1.0) >= 0.3.1
BuildRequires: pkgconfig(libquvi-scripts-0.9) >= %api
BuildRequires: libgcrypt-devel
BuildRequires: lua5.1-devel

%description
libquvi is a library for parsing video download links with C API.
It is written in C and intended to be a cross-platform library.

%package -n %libname
Summary: Shared library files libquvi
Group: Networking/Other
Requires: libquvi-scripts >= 0.9

%description -n %libname
Shared library files libquvi.

%package -n %develname
Summary: Files needed for building applications with libquvi
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %develname
Files needed for building applications with libquvi.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -f %buildroot%{_libdir}/*.la

%files -n %libname
%{_libdir}/%{name}-%{api}-%{major}.so

%files -n %develname
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/man7/*


%changelog
* Mon Oct 21 2019 tex - 0.9.4-2pclos2019
- rebuild lua5.1

* Sat Feb 02 2019 tex - 0.9.4-1pclos2019
- import from france
